# vim: set ts=2 sw=2 sts=2 et:
#
# Fixtures
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\Payment\Method:
  - service_name: SecureTrading
    class: XC\SecureTrading\Model\Payment\Processor\SecureTrading
    type: C
    countries: [AD, AE, AF, AG, AI, AL, AM, AO, AQ, AR, AS, AT, AU, AW, AZ, BA, BB, BD, BE, BF, BG, BH, BI, BJ, BM, BN, BO, BR, BS, BT, BV, BW, BY, BZ, CA, CC, CD, CF, CH, CI, CK, CL, CM, CN, CO, CR, CU, CV, CX, CY, CZ, DE, DJ, DK, DM, DO, DZ, EC, EE, EG, EH, ER, ES, ET, FI, FJ, FK, FM, FR, GA, GB, GD, GE, GH, GI, GL, GM, GN, GP, GQ, GR, GT, GU, GY, HK, HM, HN, HR, HT, HU, ID, IE, IL, IN, IO, IQ, IR, IS, IT, JM, JO, JP, KE, KG, KH, KI, KM, KN, KR, KW, KY, KZ, LA, LB, LC, LI, LK, LR, LS, LT, LU, LV, LY, MA, MC, MD, ME, MG, MH, MK, ML, MM, MN, MO, MP, MQ, MR, MS, MT, MU, MV, MW, MX, MY, MZ, NA, NC, NE, NF, NG, NI, NL, 'NO', NP, NR, NU, NZ, OM, PA, PE, PG, PH, PK, PL, PM, PN, PR, PT, PW, PY, QA, RE, RO, RS, RU, RW, SA, SB, SC, SD, SE, SG, SH, SI, SJ, SK, SL, SM, SN, SO, SR, ST, SV, SY, SZ, TC, TD, TG, TH, TJ, TK, TL, TM, TN, TO, TR, TT, TV, TW, TZ, UA, UG, UM, US, UY, UZ, VA, VC, VE, VG, VN, VU, WF, WS, YE, YT, ZA, ZM, ZW]
    translations: [{code: en, name: 'Trust Payments (former Secure Trading)'}, {code: es, name: 'Trust Payments (antes Secure Trading)'}]
    settings: [{name: site_reference}, {name: sitesecurity_password}, {name: webservice_login}, {name: webservice_password}, {name: prefix, value: xcart}, {name: type, value: sale}]
XLite\Model\LanguageLabel:
  - name: 'Site reference'
    translations: [{code: en, label: 'Site reference'}]
  - name: 'Site security Password'
    translations: [{code: en, label: 'Site security Password'}]
  - name: 'Web service login'
    translations: [{code: en, label: 'Web service login'}]
  - name: 'Web service password'
    translations: [{code: en, label: 'Web service password'}]
  - name: 'Auth Method'
    translations: [{code: en, label: 'Auth Method'}]
  - name: 'Final authorisation'
    translations: [{code: en, label: 'Final authorisation'}]
  - name: Pre-authorisation
    translations: [{code: en, label: Pre-authorisation}]
  - name: mastercard_authorisation_help
    translations: [{code: en, label: '<p>Mastercard Europe have mandated that Mastercard and Maestro transactions processed with certain European acquiring banks must be flagged as either pre-authorisation or final authorisation. Such transactions are subject to acquirer-specific conditions.</p><p>We recommend that you contact your acquirer for information on whether this mandate applies to your configuration and to clarify whether to process your transactions as pre-authorisations or final authorisations.</p><p>Selecting PRE for Auth Method will also flag VISA transactions as PRE. Note that VISA does not support the FINAL option.</p>'}]
  - name: 'Prefix for transaction id'
    translations: [{code: en, label: 'Prefix for transaction id'}]
  - name: 'Site security not set up on Secure Trading account'
    translations: [{code: en, label: 'Site security not set up on Trust Payments account'}]
  - name: 'The server could not verify that you are authorized to perform the operation you requested. Make sure the credentials being used are valid.'
    translations: [{code: en, label: 'The server could not verify that you are authorized to perform the operation you requested. Make sure the credentials being used are valid.'}, {code: ru, label: 'Сервер не смог подтвердить ваши полномочия на проведение операции, которую вы запросили. Убедитесь, что используемые вами параметры доступа валидны.'}]
